=== debian/changelog ===
c-munipack (2.1.35-1) unstable; urgency=medium

  * Initial release

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Jun 2023 10:27:02 +0200
