=== debian/control ===
Source: c-munipack
Section: science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
#Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
#Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, zlib1g-dev
	, libcfitsio-dev
	, libexpat1-dev
	, wcslib-dev
	, libgstreamer1.0-dev
	, libgtk2.0-dev
	, doxygen
	, libgtest-dev
	, libgmock-dev
	, python3-sphinx
Standards-Version: 4.6.2
Homepage: https://c-munipack.sourceforge.net/
#Vcs-Browser: https://salsa.debian.org/debian/c-munipack
#Vcs-Git: https://salsa.debian.org/debian/c-munipack.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/c-munipack
Vcs-Git: https://salsa.debian.org/debian-astro-team/c-munipack.git
Rules-Requires-Root: no

Package: c-munipack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, c-munipack-share (= ${source:Version})
	, libcmpack20 (= ${binary:Version})
Description: reduction of images carried out by CCD camera
 This package contains software, which offers the complete solution for
 reduction of images carried out by CCD camera, intended on a observation
 of variable stars. Each step of reduction process can be run from the
 command line or via simple and intuitive graphical user interface.

Package: c-munipack-share
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reduction of images carried out by CCD camera (share)
 This package contains software, which offers the complete solution for
 reduction of images carried out by CCD camera, intended on a observation
 of variable stars. Each step of reduction process can be run from the
 command line or via simple and intuitive graphical user interface.
 .
 This package contains arch independent files.

Package: libcmpack20
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reduction of images carried out by CCD camera (library)
 This package contains software, which offers the complete solution for
 reduction of images carried out by CCD camera, intended on a observation
 of variable stars. Each step of reduction process can be run from the
 command line or via simple and intuitive graphical user interface.
 .
 This package contains the library.

Package: libcmpack-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: reduction of images carried out by CCD camera (development)
 This package contains software, which offers the complete solution for
 reduction of images carried out by CCD camera, intended on a observation
 of variable stars. Each step of reduction process can be run from the
 command line or via simple and intuitive graphical user interface.
 .
 This package contains files for development.

#Package: libcmpack-doc
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: reduction of images carried out by CCD camera (documentation)
# This package contains software, which offers the complete solution for
# reduction of images carried out by CCD camera, intended on a observation
# of variable stars. Each step of reduction process can be run from the
# command line or via simple and intuitive graphical user interface.
# .
# This package contains documentation.
