=== debian/watch ===
version=4
http://sf.net/c-munipack/C-Munipack-(\d\S+)-source\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
