## c-munipack 2.1.36

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 project("C-Munipack"
     LANGUAGES C CXX 
-    VERSION 2.1.35 
+    VERSION 2.1.36 
     HOMEPAGE_URL http://c-munipack.sourceforge.net/
     DESCRIPTION "Astrophotometry software with focus on variable stars."
 )
