=== debian/changelog ===
c-munipack (2.1.36-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:50:41 +0000

c-munipack (2.1.36-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:00:07 +0000

c-munipack (2.1.36-2) unstable; urgency=medium

  * debian/rules: add -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
                  to make the package reproducible build
                  (thanks a lot to Vagrant Cascadian for the patch)
                  (Closes: #1038971)
  * add patch to support SOURCE_DATE_EPOCH when creating the man page
    (thanks a lot to Vagrant Cascadian for the patch)
    (Closes: #1038970)
  * debian/control: move maintenance to Debian Astronomy Team 

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Jun 2023 23:34:27 +0200

c-munipack (2.1.36-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 21 Jun 2023 18:34:27 +0000
