=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: c-munipack
 Section: science
 Priority: optional
-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-#Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-#Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
 Build-Depends: debhelper-compat (= 13)
 	, cmake
 	, zlib1g-dev
