=== muniwin/widgets/tests/common/CMakeLists.txt ===
set(test_widgets_common_headers
include/callback.h
include/ccdfile_class.h
include/configuration.h
include/file_classes.h
include/helper_classes.h
include/image_class.h
include/main.h
include/menubar.h
include/phot_class.h
include/popup.h
include/utils.h
)

set(test_widgets_common_sources 
${test_widgets_common_headers}
src/callback.cpp
src/ccdfile_class.cpp
src/configuration.cpp
src/file_classes.cpp
src/helper_classes.cpp
src/image_class.cpp
src/main.cpp
src/menubar.cpp
src/phot_class.cpp
src/popup.cpp
src/utils.cpp
)

set(test_widgets_common_libs 
libcmpack
cmpack_widgets
GTK2::gtk
)

add_library(test_widgets_common OBJECT ${test_widgets_common_sources})
set_target_properties(test_widgets_common PROPERTIES FOLDER tests/widgets)
target_link_libraries(test_widgets_common PUBLIC ${test_widgets_common_libs})
target_include_directories(test_widgets_common PUBLIC include)
