=== muniwin/widgets/tests/graph/CMakeLists.txt ===
set(test_graph_headers
graph_dlg.h
graph_main.h
#lcoptions_dlg.h
)

set(test_graph_sources
${test_graph_headers}
graph_dlg.cpp
graph_main.cpp
#lcoptions_dlg.cpp
)

set(test_graph_libs
libcmpack
GTK2::gtk 
test_widgets_common
)

add_executable(test_graph ${test_graph_sources})
target_link_options(test_graph PRIVATE -mwindows)
set_target_properties(test_graph PROPERTIES FOLDER tests/widgets)
target_link_libraries(test_graph PRIVATE ${test_graph_libs})
