=== debian/changelog ===
c-munipack (2.1.37-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 05 May 2024 11:50:35 +0200
