=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic

%:
	dh $@


override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_install:
	find
	rm debian/tmp/usr/share/C-Munipack-2.0/COPYING
	rm debian/tmp/usr/share/C-Munipack-2.0/LICENSE.CDDL
	rm debian/tmp/usr/share/C-Munipack-2.0/LICENSE.GPL2
	rm debian/tmp/usr/share/C-Munipack-2.0/LICENSE.LGPL
	rmdir debian/tmp/usr/share/C-Munipack-2.0/manual/en/html/_images/math/
	dh_install
